<template>
	<mind-layout-table :data="ListaAgencias" rowKey="id" :path="$route.path" @delete="onDelete" >
			<el-table-column prop="nombre" label="Nombre"  />
			<el-table-column prop="telefono" label="Telefono"  />
			<el-table-column prop="domicilio" label="Domicilio"  />
			<el-table-column prop="localidad" label="Localidad"  />
			<el-table-column prop="partido" label="Partido"  />
			<el-table-column prop="provincia" label="Provincia"  />
	</mind-layout-table>
</template>

<script>
import store from '@/store/agencias'
import Rest from '@/../vendor/mind-core-web/src/lib/rest'

export default {
  async created() {
		this.api = new Rest({
			uri: `/api/viajes/agencias`, 
			state: store.data,
			key: 'id'})

		this.api.FetchAll().catch((error)=>{
			this.$message({
				showClose: true,
				type: 'error',
				message: error
			});
		})
	},
	computed:{
		ListaAgencias() {
			let lista = []
			if(!store.data.RESOURCE_LIST) {
				return []
			}
			for(const r of store.data.RESOURCE_LIST) {
				lista.push({
					...r, 
					domicilio: `${r.calle} ${r.numero}`})
			}
			return lista
		},
	},
	methods: {
		onDelete(id){
			this.api.Delete(id).catch((error)=>{
				this.$message({
					showClose: true,
					type: 'error',
					message: error
				});
			})
		},
	},
	data() {
		return {
			idAgencia: 1,
			api: null,
		}
	}
	
}
</script>
